petsc-3.7.1 2016-05-15
Report Typos and Errors

# TSComputeRHSJacobianConstant

Reuses a Jacobian that is time-independent.

### Synopsis

    #include "petscts.h"
    PetscErrorCode TSComputeRHSJacobianConstant(TS ts,PetscReal t,Vec U,Mat A,Mat B,void *ctx)

Collective on TS Many br

### Input Arguments

| ts | - time stepping context Many br
| t | - time at which to evaluate Many br
| U | - state at which to evaluate Many br
| ctx | - context Many br

### Output Arguments

| A | - pointer to operator Many br
| B | - pointer to preconditioning matrix Many br
| flg | - matrix structure flag Many br

Many br

### Notes

This function is intended to be passed to TSSetRHSJacobian() to evaluate the Jacobian for linear time-independent problems. Many br

### See Also

TSSetRHSFunction(), TSSetRHSJacobian(), TSComputeRHSFunctionLinear()

Level:intermediate
Location:src/ts/interface/ts.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ts/examples/tutorials/ex3.c.html
src/ts/examples/tutorials/ex4.c.html
src/ts/examples/tutorials/ex5.c.html
src/ts/examples/tutorials/ex6.c.html